package Pcore::WebDriver::Driver::PhantomJS;

use Pcore -class;

with qw[Pcore::WebDriver::Driver];

sub _build_cmd ($self) {
    return [ $ENV->share->get( $MSWIN ? '/bin/webdriver/phantomjs.exe' : '/bin/webdriver/phantomjs-linux-x64/bin/phantomjs' ), "--webdriver=$self->{host}:$self->{port}", '--load-images=false', '--webdriver-loglevel=NONE' ];
}

1;
__END__
=pod

=encoding utf8

=head1 NAME

Pcore::WebDriver::Driver::PhantomJS

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 ATTRIBUTES

=head1 METHODS

=head1 SEE ALSO

=cut
